/payments/cost/usage-query/distribution
1 min
POST
https://app.amberflo.io/payments/cost/usage-query/distribution
Body Parameters
- bodypayment.cost.UsageCostsKey.in
- productIdstring
- timeRangepayment.common.TimeRange.in
- startTimeInSecondsinteger<int64>
- endTimeInSecondsinteger<int64>
- timeGroupingIntervalcom.amberflo.service.common.aggregation.AggregationInterval.in
- filtersmap<string, string[]>
- groupBystring[]
- pagepayment.common.Page.in
- numberinteger<int32>
- sizeinteger<int32>
- tokenstring
- takepayment.common.Take.in
- limitinteger<int32>
- isAscendingboolean
Responses
200
- payment.cost.UsageCostDistribution.out
- costDistributionmap<string, number[]>
curl
curl --request POST \
--url https://app.amberflo.io/payments/cost/usage-query/distribution \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/cost/usage-query/distribution", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/cost/usage-query/distribution")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/cost/usage-query/distribution"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"costDistribution": ""
}